Bug 16638 - Script errors when using the query interface
Summary: Script errors when using the query interface
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General   
(Show other bugs)
Version: 2.8
Hardware: i386
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL: http://www.redhat.com/bugzilla/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-20 09:18 UTC by mikal@stillhq.com
Modified: 2007-04-18 16:28 UTC (History)
2 users (show)

Fixed In Version: 2.17.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-17 21:48:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mikal@stillhq.com 2000-08-20 09:18:28 UTC
When I change the product I have selected in the query interface, I get a 
script error. I am using IE5.

Comment 1 Daniel Roesen 2000-09-26 17:22:27 UTC
Same for IE4

Comment 2 Mark Harig 2003-04-17 21:38:38 UTC
I am NOT seeing a problem with the query.cgi when using Microsoft's Internet
Explorer 5.5.  However, I am seeing a script error when running the
'easy_enter_bug.cgi' script with IE5.5.

Details about how to reproduce this:

1. Logon to your bugzilla account.

2. Click on the 'New' action button.  This loads the CGI script:

   https://bugzilla.redhat.com/bugzilla/easy_enter_bug.cgi

3. Scroll to the bottom of the displayed page, and click on the button labelled
'Step 3. Choosing Your Product'

This loads the CGI script:

  https://bugzilla.redhat.com/bugzilla/easy_enter_bug.cgi?action=second

and causes IE5.5 to display the error messages:

   Line: 127
   Error: Expected ']'

This corresponds to the line with the following text:

   products['Dave's Action Items'] = "List of things Dave needs to get done";

My guess is that the apostrophe after "Dave" is terminating the string
prematurely.  Possibly, the problem could be fixed by using a backquote
character, or by relabelling the product, say, 'Action Items of Dave'.

FYI, this problem does not occur in Mozilla (RH 7.1 or 8).



Comment 3 David Lawrence 2003-04-17 21:48:32 UTC
Fixed now, wasnt escaping the ' character properly. Thanks


Note You need to log in before you can comment on or make changes to this bug.